Search documentation of wx

# wxFontPickerEvent (wx v2.6)

Copy Markdown View Source

This event class is used for the events generated by `wxFontPickerCtrl`.

See: `wxFontPickerCtrl`

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxFontPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxFontPickerEventType` to subscribe to events of this type.

## Summary

### Types

wxFontPicker()
wxFontPickerEvent()
wxFontPickerEventType()

### Functions

getFont(This)

Retrieve the font the user has just selected.

## Types

# wxFontPicker()

    -type wxFontPicker() ::
              #wxFontPicker{type :: wxFontPickerEvent:wxFontPickerEventType(), font :: wxFont:wxFont()}.

# wxFontPickerEvent()

    -type wxFontPickerEvent() :: wx:wx_object().

# wxFontPickerEventType()

    -type wxFontPickerEventType() :: command_fontpicker_changed.

## Functions

# getFont(This)

    -spec getFont(This) -> wxFont:wxFont() when This :: wxFontPickerEvent().

Retrieve the font the user has just selected.